--- src/list.c	2006-11-30 18:54:59.000000000 +0100
+++ src/list.c	2007-11-20 22:26:21.000000000 +0100
@@ -141,6 +141,12 @@
 	    if (strcmp(class->res_class, nptr->name) == 0)
 		return (nptr->ptr);
     }
+
+    /* finally take care of wildcards */
+    for (nptr = list_head; nptr != NULL; nptr = nptr->next)
+	if (nptr->name[0] == '*' && nptr->name[1] == '\0')
+	    return (nptr->ptr);
+
     return (NULL);
 }
 
